Issue 127237 - qadevOOo runner build breaks if ant not present
Summary: qadevOOo runner build breaks if ant not present
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.1.3
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.4
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-04 15:05 UTC by Ariel Constenla-Haile
Modified: 2017-02-04 21:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
arielch: 4.1.4_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2016-12-04 15:05:05 UTC
The qadevOOo classes are built if java and ant are enabled:

.IF "$(SOLAR_JAVA)"=="TRUE"	
.IF "$(ANT_HOME)"!="NO_ANT_HOME"
ANT_FLAGS+=-Dbuild.source=1.5
.IF "$(L10N_framework)"==""
ALLTAR: ANTBUILD
.ENDIF
.ENDIF
.ENDIF

but qadevOOo/runner/makefile.mk only checks $(SOLAR_JAVA) and $(L10N_framework):


# --- Targets ------------------------------------------------------
.IF "$(SOLAR_JAVA)"=="TRUE" && "$(L10N_framework)"==""
OWNJAR: ALLTAR

Thus the build breaks:

[ariel@localhost qadevOOo]$ echo $ANT_HOME 
NO_ANT_HOME
[ariel@localhost qadevOOo]$ build
build -- version: 275224


=============
Building module qadevOOo
=============

Entering /home/ariel/aoo/build/openoffice-svn/trunk/main/qadevOOo

mkout -- version: 1.8

Entering /home/ariel/aoo/build/openoffice-svn/trunk/main/qadevOOo/runner

jar cfm ../unxlngx6.pro/class/OOoRunnerLight.jar manifest -C ../unxlngx6.pro/class util -C ../unxlngx6.pro/class share -C ../unxlngx6.pro/class stats -C ../unxlngx6.pro/class lib -C ../unxlngx6.pro/class complexlib -C ../unxlngx6.pro/class helper -C ../unxlngx6.pro/class basicrunner -C ../unxlngx6.pro/class base -C ../unxlngx6.pro/class org/openoffice -C ../unxlngx6.pro/class convwatch -C ../unxlngx6.pro/class graphical
../unxlngx6.pro/class/util : no such file or directory
../unxlngx6.pro/class/share : no such file or directory
../unxlngx6.pro/class/stats : no such file or directory
../unxlngx6.pro/class/lib : no such file or directory
../unxlngx6.pro/class/complexlib : no such file or directory
../unxlngx6.pro/class/helper : no such file or directory
../unxlngx6.pro/class/basicrunner : no such file or directory
../unxlngx6.pro/class/base : no such file or directory
../unxlngx6.pro/class/org/openoffice : no such file or directory
../unxlngx6.pro/class/convwatch : no such file or directory
../unxlngx6.pro/class/graphical : no such file or directory
dmake:  Error code 1, while making 'LIGHT'
ERROR: error 65280 occurred while making /home/ariel/aoo/build/openoffice-svn/trunk/main/qadevOOo/runner
Comment 1 Ariel Constenla-Haile 2016-12-04 15:06:54 UTC
This breaks the bb-win7 buildbot builds (the underlying problem being that ant does not work in the buildbot).
Comment 2 SVN Robot 2016-12-04 15:08:22 UTC
"arielch" committed SVN revision 1772541 into trunk:
i127237 - Check ANT_HOME
Comment 3 SVN Robot 2016-12-04 15:15:58 UTC
"arielch" committed SVN revision 1772543 into branches/AOO414:
i127237 - Check ANT_HOME
Comment 4 Ariel Constenla-Haile 2017-02-01 21:54:53 UTC
Fixed on trunk and branch AOO414